

DefineConstant[ DEF_JACINT = 0 ]; // 0 at 1st include, then fixed to 1...

////////////////////
// DEF_JACINT
If (DEF_JACINT == 0)

DEF_JACINT = 1; // ... 1: for not being included anymore

DefineConstant[ Flag_Axisymmetry = 0 ];
// To be extended for Axi

DefineConstant[ CoefGeo = (Flag_Axisymmetry)? 2.*Pi : 1 ];

Group {
  DefineGroup[ DomainInf ];
  DefineConstant[
    SphShell_Rint, SphShell_Rext, // inner and outer radius of SphShell
    SphShell_Xc = 0., SphShell_Yc = 0., SphShell_Zc = 0. // Center coord. of SphShell
  ];
}


Jacobian {
  {
    Name Vol;
    Case {
      { Region DomainInf;
        Jacobian VolSphShell {
          SphShell_Rint, SphShell_Rext, SphShell_Xc, SphShell_Yc, SphShell_Zc
        };
      }
      { Region All; Jacobian Vol; }
    }
  }
  {
    Name Sur;
    Case {
      { Region All; Jacobian Sur; }
    }
  }
}


DefineConstant[
  FE_Degree = 1 // 1: if not yet defined
];

If (FE_Degree == 1)
Integration {
  { Name Gauss_v;
    Case {
      {Type Gauss;
        Case {
          { GeoElement Point       ; NumberOfPoints  1; }
          { GeoElement Line        ; NumberOfPoints  3; }
          { GeoElement Triangle    ; NumberOfPoints  3; }
          { GeoElement Quadrangle  ; NumberOfPoints  4; }
          { GeoElement Tetrahedron ; NumberOfPoints  4; }
          { GeoElement Hexahedron  ; NumberOfPoints  6; }
          { GeoElement Prism       ; NumberOfPoints  9; }
        }
      }
    }
  }
}
EndIf

If (FE_Degree == 2)
Integration {
  { Name Gauss_v;
    Case {
      {Type Gauss;
        Case {
          { GeoElement Point       ; NumberOfPoints  1; }
          { GeoElement Line        ; NumberOfPoints  5; }
          { GeoElement Triangle    ; NumberOfPoints  7; }
          { GeoElement Quadrangle  ; NumberOfPoints  7; }
          { GeoElement Tetrahedron ; NumberOfPoints 15; }
          { GeoElement Hexahedron  ; NumberOfPoints 14; }
          { GeoElement Prism       ; NumberOfPoints 21; }
        }
      }
    }
  }
}
EndIf

EndIf
// DEF_JACINT
////////////////////
